Koozali.org formerly Contribs.org

[Announce] How to install/upgrade to Horde 3.0

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #120 on: June 28, 2005, 12:46:09 AM »
I figured out that a conflict between my previously installed ZEND optimizer and the phpaccelerator installed with the script. I removed the phpini customtemplate for the phpaccelerator expanded the template and restarted httpd and my web stuff is working again.

I do have one issue though, when I try to access <host address>/horde/test1.php I get:
Forbidden
You don't have permission to access /horde/test1.php on this server.

If I try to navigate to <https://host address>/horde I get:
A fatal error has occurred
DB Error: connect failed
Details have been logged for the administrator.

<http://host address>/horde gives me:
Forbidden
You don't have permission to access /horde/ on this server.

If I try to Launch Horde Web Administration through server manager I get:
Forbidden
You don't have permission to access /horde/admin/setup on this server.

What are the permission setting suppose to be so I can get it configured?
......

Offline mrjhb3

  • *
  • 1,188
    • John Bennett Services
[Announce] How to install/upgrade to Horde 3.0
« Reply #121 on: June 28, 2005, 06:12:00 AM »
Quote from: "edb"
Ok, I tried installing after removing the references to PHP 4.3.10 and all seemed to go fine right until the end where it displayed the following message:

Installing base Horde configurations
Finishing up horde installation...


ERROR: No templates were found for /home/httpd/html/horde/kronolith/config/conf.
php.
 at /sbin/e-smith/expand-template line 49
Shutting down http: [   OK   ]
Starting httpd: [ FAILED ]
serviceControl: Couldn't system(/etc/rc.d/rc7.d/S85httpd-e-smith, restart):
Couldn't restart httpd-e-smith at /etc/e-smith/events/actions/restart-httpd-full
 line 45.
Stopping crond: [   OK   ]
Starting crond: [   OK   ]

Rebuilding Web Server Manager Left Panel Cache... Can take up to a minute.

Horde 3.0 Components have been successfully installed

Now since httpd will not restart I cannot access server manager or my websites.
Is this because of a pear module?
If so, which one/ones do I need to install?

Thanks again.


Your issue doesn't appear to be pear related at this time.

I can't duplicate any of the above.  I rebuilt my sme6.5 RC1 test box and have ran the script about 10 times without error.  I have even ran the horde20-restore script 3 times to return my system back to teh default state, then ran the script.

It looks like you don't have the template fragment files 10AllKronolith and template-begin.  Do you have anything in this directory: /etc/e-smith/templates-custom/home/httpd/html/horde/kronolith/config/conf.php?  That is where those two files should be.

I have not seen any http restart errors.  What do the logs say?  See if you can do a simple - service httpd restart, or service httpd start to get it going.

I also made a change to the script today.  I modified all of the wget commands to use a variable.  That way you can supply more or less commands that wget will use.  To turn off the quiet mode so that you can see what is being downloaded just remove the -q from the variable or add what you want.  The variable line is located on line 65 of the script.  As you can tell from the remarks, I hadn't thought about adding commands for wget until just now.  Partial below:
#####
# If you would like to see the status of the files
# being downloaded remove the -q from the next line.
#####
DL="wget -nc -q"


JB
......

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #122 on: June 28, 2005, 06:28:04 AM »
Thanks for your reply

I do have thetwo files but they are in the path
/etc/e-smith/templates-custom/home/httpd/html/horde/kronolith/config/conf.php1  not conf.php for whatever reason.
......

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #123 on: June 28, 2005, 06:33:36 AM »
I renamed the directory to conf.php and expanded the template and did a service httpd restart but it still gives me the error:

A fatal error has occurred
DB Error: connect failed
Details have been logged for the administrator.
......

Offline mrjhb3

  • *
  • 1,188
    • John Bennett Services
[Announce] How to install/upgrade to Horde 3.0
« Reply #124 on: June 28, 2005, 06:59:01 AM »
Quote from: "edb"
I figured out that a conflict between my previously installed ZEND optimizer and the phpaccelerator installed with the script. I removed the phpini customtemplate for the phpaccelerator expanded the template and restarted httpd and my web stuff is working again.


I am glad to hear that.  If you have any suggestions on how to detect ZEND optimizer, maybe just look for a file, then I could try to check for this and not install phpaccelerator.  If you have a howto for ZEND, I will install it and see what I can do on my own.

Quote from: "edb"

I do have one issue though, when I try to access <host address>/horde/test1.php I get:
Forbidden
You don't have permission to access /horde/test1.php on this server.

If I try to navigate to <https://host address>/horde I get:
A fatal error has occurred
DB Error: connect failed
Details have been logged for the administrator.

<http://host address>/horde gives me:
Forbidden
You don't have permission to access /horde/ on this server.


Do a /sbin/e-smith/config show horde and see what the DbPassword is and compare that to horde/conf.php.  They should be the same.  If not, try expanding the horde/conf.php template again and see if you can get to the web page.  If that doesn't work, you could try to re-expand the httpd.conf template, then restart httpd and see if that corrects anything.  I am reaching here.

Quote from: "edb"
If I try to Launch Horde Web Administration through server manager I get:
Forbidden
You don't have permission to access /horde/admin/setup on this server.

What are the permission setting suppose to be so I can get it configured?


The files for the server-manager panel are located at
/etc/e-smith/web/functions - adminhordesave and adminhordesetup.  
adminhordesetup runs - exec '/bin/chown -R www.www /home/httpd/html/horde'; Those are the permissions needed to modify via the web, then adminhordesave runs - exec '/etc/e-smith/events/actions/horde-admin-save';

Hopefully, we are getting closer to getting this solved.

JB
......

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #125 on: June 28, 2005, 07:43:26 AM »
ZEND can be recognized by the presence of 81ZendOptimizer in the /etc/e-smith/templates-custom/etc/php.ini directory. Greg Swallow had the great script for installing ZEND optimizer.


The horde conf.php has the following entry for password:
$horde_pw = $horderec->prop('DbPassword') || 'horde';

[root@mail root]# /sbin/e-smith/config show horde
horde=service
    access=SSL
    imp=installed
    kronolith=installed
    mnemo=installed
    nag=installed
    status=enabled
Does not appear to have a password.

Re-expanded the template file to no avail.

The permissions in etc/e-smith/web/functions appear to be fine and read the same as all the others.

Quote
adminhordesetup runs - exec '/bin/chown -R www.www /home/httpd/html/horde'

Appear to be www.www 755 recursively

Still no go?
......

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #126 on: June 30, 2005, 03:17:45 AM »
mrjhb3

I finally figured out what the heck my problem was and fixed it.

Basically, the issue was of course with the new version of MYSQL 4.1.11 and the way it handles passwords.

That's why I was getting the ....
"A fatal error has occurred
DB Error: connect failed
Details have been logged for the administrator"
error.

What I did to fix it is so simple it's almost laughable but unless you know what to do it's rather impossible to fix.  ;-)

Here is what I had to do:

At the command line type this:

1) mysql

2) UPDATE user SET Password=OLD_PASSWORD('your_Horde_password_here') WHERE User='horde';

3) FLUSH PRIVILIGES;

That's it!! Now it all works like a dream  :pint:

Thanks for your help and maybe others that will inevitably run into the same situation will now know how to resolve it.

Cheers

Ed
......

steven

Horde 3.0 script, install issue with kronolith
« Reply #127 on: July 04, 2005, 01:30:26 PM »
Every 5 min I get this message sent to root@myserver.  There are two other errors which I believe are related.  Could someone point me the right direction to fix this.  I have installed the Horde 3.0 script.  It is installed on a 6.0.1 box.  Thanks heaps.

Subject: Cron <root@gateway> /usr/bin/php /home/httpd/html/horde/kronolith/scripts/reminders.php
A fatal error has occurred
Unable to load the definition of Kronolith_Driver_.
Details have been logged for the administrator.


If I log into webmail as admin and go in administration, setup.  The application status for Calendar (kronolith) displays this.
Missing configuration. You have to generate it now if you want to use this application.

If I log into webmail as a user and go into Organizing then Calendar this is displayed.
Some of Kronolith's configuration files are missing or unreadable conf.php

This is the main Kronolith configuration file. It contains paths and options for the Kronolith scripts. You need to login as an administrator and create the file with the web frontend under "Administration => Configuration".  Create these files from their .dist versions in /home/httpd/html/horde/kronolith/config and change them according to your needs.

dhardy

[Announce] How to install/upgrade to Horde 3.0
« Reply #128 on: July 06, 2005, 04:13:11 PM »
Quote
mrjhb3

I finally figured out what the heck my problem was and fixed it.

Basically, the issue was of course with the new version of MYSQL 4.1.11 and the way it handles passwords.

That's why I was getting the ....
"A fatal error has occurred
DB Error: connect failed
Details have been logged for the administrator" error.

What I did to fix it is so simple it's almost laughable but unless you know what to do it's rather impossible to fix.

Here is what I had to do:

At the command line type this:

1) mysql

2) UPDATE user SET Password=OLD_PASSWORD('your_Horde_password_here') WHERE User='horde';

3) FLUSH PRIVILIGES;

That's it!! Now it all works like a dream

Thanks for your help and maybe others that will inevitably run into the same situation will now know how to resolve it.

Cheers

Ed


I too am having this problem.

However, the solution above didn't work for me as mysql kept giving me errors about not selecting a database.

So I used phpmyadmin to reset the password, which seems to have gone in OK - only I still can't use horde webmail (fallen back on the not so familiar Twig).

Here's what I've got in phpmyadmin for the users table in the 'mysql' database:

Edit    Delete    localhost    root XXXXX    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y
Edit    Delete    fleable    root    XXXXX    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y    Y
Edit    Delete    localhost    horde    YYYYY N    N    N    N    N    N    N    N    N    N    N    N    N    N
Edit    Delete    %            radius    ZZZZZ    N    N    N    N    N    N    N    N    N    N    N    N    N    N
Edit    Delete    %            horde    YYYYY    N    N    N    N    N    N    N    N    N    N    N    N    N    N
Edit    Delete    localhost    www    AAAAA    N    N    N    N    N    N    N    N    N    N    N    N    N    N
Edit    Delete    localhost    twig    CCCCC    N    N    N    N    N    N    N    N    N    N    N    N    N    N
Edit    Delete    fleable    horde    YYYYY   N    N    N    N    N    N    N    N    N    N    N    N    N    N

Is this as it should be?

Where else can I tweak things

This all started when my ssl certificate expired and I made a new one. I followed the SSL how-to in the documentation and updated the .pem files for the securemail daemons - is there somewhere in Horde that  I should have copied the ssl certificate to as well?

All advice gratefully received!

David.

Offline edb

  • *
  • 526
[Announce] How to install/upgrade to Horde 3.0
« Reply #129 on: July 07, 2005, 06:06:47 AM »
If it is the same error as I was getting then this should fix it.
Are you running MySQL 4.1.11?

I may have missed one step:

1) mysql
2) use mysql
3) UPDATE user SET Password=OLD_PASSWORD('your_Horde_password_here') WHERE User='horde';
4) FLUSH PRIVILIGES;

I think that maybe that is why you were being ask which database. Step two should take care of that.
Once done, try webmail again and it should work now.
Let me know if it works now.

PS: Do this from the command line not through phpmyadmin

Ed
......

Doesn't work for me. :-(
« Reply #130 on: August 09, 2005, 04:34:33 PM »
I tried the fix as above and got the following:

[root@rusty e-smith]# mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1181 to server version: 3.23.56

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> use mysql
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
mysql> UPDATE user SET Password=('password') WHERE User='horde';
Query OK, 1 row affected (0.00 sec)
Rows matched: 1  Changed: 1  Warnings: 0

mysql> FLUSH PRIVILIGES;
ERROR 1064: You have an error in your SQL syntax near 'PRIVILIGES' at line 1
mysql> Aborted

I know I still have a lot to learn but could tell me what I'm doing wrong?

TIA,

Tony
...

Offline mrjhb3

  • *
  • 1,188
    • John Bennett Services
Re: Doesn't work for me. :-(
« Reply #131 on: August 10, 2005, 04:41:32 AM »
Quote from: "Paperguides"
I tried the fix as above and got the following:

[root@rusty e-smith]# mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1181 to server version: 3.23.56

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> use mysql
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Database changed
mysql> UPDATE user SET Password=('password') WHERE User='horde';
Query OK, 1 row affected (0.00 sec)
Rows matched: 1  Changed: 1  Warnings: 0

mysql> FLUSH PRIVILIGES;
ERROR 1064: You have an error in your SQL syntax near 'PRIVILIGES' at line 1
mysql> Aborted

I know I still have a lot to learn but could tell me what I'm doing wrong?

TIA,

Tony


You need to spell it correctly.

flush privileges;
......

Offline mrjhb3

  • *
  • 1,188
    • John Bennett Services
Re: Horde 3.0 script, install issue with kronolith
« Reply #132 on: August 10, 2005, 04:46:58 AM »
Quote from: "steven"
Every 5 min I get this message sent to root@myserver.  There are two other errors which I believe are related.  Could someone point me the right direction to fix this.  I have installed the Horde 3.0 script.  It is installed on a 6.0.1 box.  Thanks heaps.

Subject: Cron <root@gateway> /usr/bin/php /home/httpd/html/horde/kronolith/scripts/reminders.php
A fatal error has occurred
Unable to load the definition of Kronolith_Driver_.
Details have been logged for the administrator.


If I log into webmail as admin and go in administration, setup.  The application status for Calendar (kronolith) displays this.
Missing configuration. You have to generate it now if you want to use this application.

If I log into webmail as a user and go into Organizing then Calendar this is displayed.
Some of Kronolith's configuration files are missing or unreadable conf.php

This is the main Kronolith configuration file. It contains paths and options for the Kronolith scripts. You need to login as an administrator and create the file with the web frontend under "Administration => Configuration".  Create these files from their .dist versions in /home/httpd/html/horde/kronolith/config and change them according to your needs.


Steven,

I am just now seeing this.  For some reason xoops stops sending me e-mails after a certain amount of time in an active forum.  Don't know why.  Your error from above looks to be because you either don't have a kronolith directory or the kronolith conf.php file wasn't expanded correctly.  If you previously had kronolith installed with horde 2.0 there was a bug in the script that wouldn't expand the kronolith templates.  I have fixed that so if you download the latest version of the script and run it, your kronolith stuff should be fixed, which will also fix the cron error.  Sorry, this is so late, and I hope it helps you.

JB
......

Re: Doesn't work for me. :-(
« Reply #133 on: August 10, 2005, 11:28:06 PM »
Quote from: "mrjhb3"


You need to spell it correctly.

flush privileges;


Thanks. I looked at it for ages and obviously couldn't see the wood for the trees. :-)


Tony
Dyslexia rules KO
...

Offline edform

  • *
  • 178
    • http://www.workgroupsolutions.co.uk
Partial failure running Horde 30 install script.
« Reply #134 on: November 30, 2005, 02:45:36 PM »
While attempting to use John Bennet's script install_horde30.sh, the procedure stopped dead at the PEAR installation leaving me with no webmail at all. I retried the script several times, with the same brick wall each time.

I then ran old_install_horde30.sh for the hell of it, and this seemed to run the PEAR install, but generated a stream of failure messages from that point on, and I finished up with the same complete loss of webmail.

Having nothing to lose, I re-ran install_horde30.sh at this point, and it ran through and appeared to work - I can now access and use all of the Horde suite, and access the administration from the server-manager panels as well.

But!!! I'm getting one of these every five minutes...

Failed loading /usr/lib/php4/php_accelerator_1.3.3r2.so:  /usr/lib/php4/php_accelerator_1.3.3r2.so: cannot open shared object file: No such file or directory.

Why is the PHP accelerator involved at all? Does the script try to install it?

Any easy cure?

Ed Form